@import 'src/styles.scss';

.ecl-label {
  padding: 0.2rem 0.5rem 0.1rem;
  border-radius: 6rem;
}

.header {
  &__description {
    font-size: 1rem;
    line-height: 1.5rem;
  }
  &__description-image-container {
    display: flex;
    justify-content: center;
    width: 7.5rem;
    height: 3rem;
    margin: 0 1rem 0 0;
    padding: 0.4rem;
    background-color: #f1f2f5;
    @include tablet-large {
      height: 5rem;
    }
    img {
      height: 100%;
      width: auto;
    }
  }
}

.tabs {
  &__container {
    min-height: 20rem;
  }
  &__tab {
    cursor: pointer;
  }
}

.filters {
  display: flex;
  gap: 2rem;
  flex-direction: column;
  @include tablet-large {
    flex-direction: row;
  }
  &__search {
    position: relative;
    width: 100%;
    @include tablet-large {
      width: auto;
    }
    .search-icon-container {
      display: inline;
      position: absolute;
      right: 0.5rem;
      top: 0.7rem;
      opacity: 0.15;
    }

    .close-button {
      position: absolute;
      right: 2.5rem;
      top: 0.8rem;
      background-color: transparent;
      border: unset;
      cursor: pointer;
      margin: 0;
      padding: 0;
    }
  }
  &__select {
    width: 100%;
    box-shadow:
      0 0.125rem 0.25rem 0 rgba(9, 49, 142, 0.0784313725),
      0 0 0.625rem 0 rgba(9, 49, 142, 0.0784313725),
      0 0.25rem 0.3rem 0 rgba(9, 49, 142, 0.0784313725),
      0 -0.25rem 0.25rem 0 rgba(9, 49, 142, 0.0784313725);
    @include tablet {
      width: auto;
    }
  }
}

.table__container {
  min-height: 22rem;
  &:empty {
    display: none;
  }
}

.filters__select {
  z-index: 20; // for the filter dropdown
}

.ecl-text-input {
  padding-right: 2rem !important;
}
